// This file is generated by kconfig_compiler_kf6 from options.kcfg.
// All changes you do to this file will be lost.
#ifndef SHAPECORNERS_CONFIG_H
#define SHAPECORNERS_CONFIG_H

#include <qglobal.h>
#include <kconfigskeleton.h>
#include <QCoreApplication>
#include <QDebug>

namespace ShapeCorners {

class Config : public KConfigSkeleton
{
  public:

    Config( );
    ~Config() override;

    /**
      Set Size
    */
    void setSize( uint v )
    {
      if (!isSizeImmutable())
        mSize = v;
    }

    /**
      Get Size
    */
    uint size() const
    {
      return mSize;
    }

    /**
      Is Size Immutable
    */
    bool isSizeImmutable() const
    {
      return isImmutable( QStringLiteral( "Size" ) );
    }

    /**
      Set InactiveCornerRadius
    */
    void setInactiveCornerRadius( uint v )
    {
      if (!isInactiveCornerRadiusImmutable())
        mInactiveCornerRadius = v;
    }

    /**
      Get InactiveCornerRadius
    */
    uint inactiveCornerRadius() const
    {
      return mInactiveCornerRadius;
    }

    /**
      Is InactiveCornerRadius Immutable
    */
    bool isInactiveCornerRadiusImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveCornerRadius" ) );
    }

    /**
      Set ShadowSize
    */
    void setShadowSize( uint v )
    {
      if (v < 1)
      {
        qDebug() << "setShadowSize: value " << v << " is less than the minimum value of 1";
        v = 1;
      }
      if (!isShadowSizeImmutable())
        mShadowSize = v;
    }

    /**
      Get ShadowSize
    */
    uint shadowSize() const
    {
      return mShadowSize;
    }

    /**
      Is ShadowSize Immutable
    */
    bool isShadowSizeImmutable() const
    {
      return isImmutable( QStringLiteral( "ShadowSize" ) );
    }

    /**
      Set InactiveShadowSize
    */
    void setInactiveShadowSize( uint v )
    {
      if (v < 1)
      {
        qDebug() << "setInactiveShadowSize: value " << v << " is less than the minimum value of 1";
        v = 1;
      }
      if (!isInactiveShadowSizeImmutable())
        mInactiveShadowSize = v;
    }

    /**
      Get InactiveShadowSize
    */
    uint inactiveShadowSize() const
    {
      return mInactiveShadowSize;
    }

    /**
      Is InactiveShadowSize Immutable
    */
    bool isInactiveShadowSizeImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveShadowSize" ) );
    }

    /**
      Set ShadowColor
    */
    void setShadowColor( const QColor & v )
    {
      if (!isShadowColorImmutable())
        mShadowColor = v;
    }

    /**
      Get ShadowColor
    */
    QColor shadowColor() const
    {
      return mShadowColor;
    }

    /**
      Is ShadowColor Immutable
    */
    bool isShadowColorImmutable() const
    {
      return isImmutable( QStringLiteral( "ShadowColor" ) );
    }

    /**
      Set InactiveShadowColor
    */
    void setInactiveShadowColor( const QColor & v )
    {
      if (!isInactiveShadowColorImmutable())
        mInactiveShadowColor = v;
    }

    /**
      Get InactiveShadowColor
    */
    QColor inactiveShadowColor() const
    {
      return mInactiveShadowColor;
    }

    /**
      Is InactiveShadowColor Immutable
    */
    bool isInactiveShadowColorImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveShadowColor" ) );
    }

    /**
      Set AnimationEnabled
    */
    void setAnimationEnabled( bool v )
    {
      if (!isAnimationEnabledImmutable())
        mAnimationEnabled = v;
    }

    /**
      Get AnimationEnabled
    */
    bool animationEnabled() const
    {
      return mAnimationEnabled;
    }

    /**
      Is AnimationEnabled Immutable
    */
    bool isAnimationEnabledImmutable() const
    {
      return isImmutable( QStringLiteral( "AnimationEnabled" ) );
    }

    /**
      Set OutlineThickness
    */
    void setOutlineThickness( double v )
    {
      if (v < 0)
      {
        qDebug() << "setOutlineThickness: value " << v << " is less than the minimum value of 0";
        v = 0;
      }

      if (v > 20)
      {
        qDebug() << "setOutlineThickness: value " << v << " is greater than the maximum value of 20";
        v = 20;
      }

      if (!isOutlineThicknessImmutable())
        mOutlineThickness = v;
    }

    /**
      Get OutlineThickness
    */
    double outlineThickness() const
    {
      return mOutlineThickness;
    }

    /**
      Is OutlineThickness Immutable
    */
    bool isOutlineThicknessImmutable() const
    {
      return isImmutable( QStringLiteral( "OutlineThickness" ) );
    }

    /**
      Set InactiveOutlineThickness
    */
    void setInactiveOutlineThickness( double v )
    {
      if (v < 0)
      {
        qDebug() << "setInactiveOutlineThickness: value " << v << " is less than the minimum value of 0";
        v = 0;
      }

      if (v > 20)
      {
        qDebug() << "setInactiveOutlineThickness: value " << v << " is greater than the maximum value of 20";
        v = 20;
      }

      if (!isInactiveOutlineThicknessImmutable())
        mInactiveOutlineThickness = v;
    }

    /**
      Get InactiveOutlineThickness
    */
    double inactiveOutlineThickness() const
    {
      return mInactiveOutlineThickness;
    }

    /**
      Is InactiveOutlineThickness Immutable
    */
    bool isInactiveOutlineThicknessImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveOutlineThickness" ) );
    }

    /**
      Set OutlineColor
    */
    void setOutlineColor( const QColor & v )
    {
      if (!isOutlineColorImmutable())
        mOutlineColor = v;
    }

    /**
      Get OutlineColor
    */
    QColor outlineColor() const
    {
      return mOutlineColor;
    }

    /**
      Is OutlineColor Immutable
    */
    bool isOutlineColorImmutable() const
    {
      return isImmutable( QStringLiteral( "OutlineColor" ) );
    }

    /**
      Set InactiveOutlineColor
    */
    void setInactiveOutlineColor( const QColor & v )
    {
      if (!isInactiveOutlineColorImmutable())
        mInactiveOutlineColor = v;
    }

    /**
      Get InactiveOutlineColor
    */
    QColor inactiveOutlineColor() const
    {
      return mInactiveOutlineColor;
    }

    /**
      Is InactiveOutlineColor Immutable
    */
    bool isInactiveOutlineColorImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveOutlineColor" ) );
    }

    /**
      Set ActiveOutlineAlpha
    */
    void setActiveOutlineAlpha( int v )
    {
      if (v < 0)
      {
        qDebug() << "setActiveOutlineAlpha: value " << v << " is less than the minimum value of 0";
        v = 0;
      }

      if (v > 255)
      {
        qDebug() << "setActiveOutlineAlpha: value " << v << " is greater than the maximum value of 255";
        v = 255;
      }

      if (!isActiveOutlineAlphaImmutable())
        mActiveOutlineAlpha = v;
    }

    /**
      Get ActiveOutlineAlpha
    */
    int activeOutlineAlpha() const
    {
      return mActiveOutlineAlpha;
    }

    /**
      Is ActiveOutlineAlpha Immutable
    */
    bool isActiveOutlineAlphaImmutable() const
    {
      return isImmutable( QStringLiteral( "ActiveOutlineAlpha" ) );
    }

    /**
      Set InactiveOutlineAlpha
    */
    void setInactiveOutlineAlpha( int v )
    {
      if (v < 0)
      {
        qDebug() << "setInactiveOutlineAlpha: value " << v << " is less than the minimum value of 0";
        v = 0;
      }

      if (v > 255)
      {
        qDebug() << "setInactiveOutlineAlpha: value " << v << " is greater than the maximum value of 255";
        v = 255;
      }

      if (!isInactiveOutlineAlphaImmutable())
        mInactiveOutlineAlpha = v;
    }

    /**
      Get InactiveOutlineAlpha
    */
    int inactiveOutlineAlpha() const
    {
      return mInactiveOutlineAlpha;
    }

    /**
      Is InactiveOutlineAlpha Immutable
    */
    bool isInactiveOutlineAlphaImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveOutlineAlpha" ) );
    }

    /**
      Set ActiveOutlinePalette
    */
    void setActiveOutlinePalette( uint v )
    {
      if (!isActiveOutlinePaletteImmutable())
        mActiveOutlinePalette = v;
    }

    /**
      Get ActiveOutlinePalette
    */
    uint activeOutlinePalette() const
    {
      return mActiveOutlinePalette;
    }

    /**
      Is ActiveOutlinePalette Immutable
    */
    bool isActiveOutlinePaletteImmutable() const
    {
      return isImmutable( QStringLiteral( "ActiveOutlinePalette" ) );
    }

    /**
      Set InactiveOutlinePalette
    */
    void setInactiveOutlinePalette( uint v )
    {
      if (!isInactiveOutlinePaletteImmutable())
        mInactiveOutlinePalette = v;
    }

    /**
      Get InactiveOutlinePalette
    */
    uint inactiveOutlinePalette() const
    {
      return mInactiveOutlinePalette;
    }

    /**
      Is InactiveOutlinePalette Immutable
    */
    bool isInactiveOutlinePaletteImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveOutlinePalette" ) );
    }

    /**
      Set ActiveOutlineUsePalette
    */
    void setActiveOutlineUsePalette( bool v )
    {
      if (!isActiveOutlineUsePaletteImmutable())
        mActiveOutlineUsePalette = v;
    }

    /**
      Get ActiveOutlineUsePalette
    */
    bool activeOutlineUsePalette() const
    {
      return mActiveOutlineUsePalette;
    }

    /**
      Is ActiveOutlineUsePalette Immutable
    */
    bool isActiveOutlineUsePaletteImmutable() const
    {
      return isImmutable( QStringLiteral( "ActiveOutlineUsePalette" ) );
    }

    /**
      Set InactiveOutlineUsePalette
    */
    void setInactiveOutlineUsePalette( bool v )
    {
      if (!isInactiveOutlineUsePaletteImmutable())
        mInactiveOutlineUsePalette = v;
    }

    /**
      Get InactiveOutlineUsePalette
    */
    bool inactiveOutlineUsePalette() const
    {
      return mInactiveOutlineUsePalette;
    }

    /**
      Is InactiveOutlineUsePalette Immutable
    */
    bool isInactiveOutlineUsePaletteImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveOutlineUsePalette" ) );
    }

    /**
      Set ActiveOutlineUseCustom
    */
    void setActiveOutlineUseCustom( bool v )
    {
      if (!isActiveOutlineUseCustomImmutable())
        mActiveOutlineUseCustom = v;
    }

    /**
      Get ActiveOutlineUseCustom
    */
    bool activeOutlineUseCustom() const
    {
      return mActiveOutlineUseCustom;
    }

    /**
      Is ActiveOutlineUseCustom Immutable
    */
    bool isActiveOutlineUseCustomImmutable() const
    {
      return isImmutable( QStringLiteral( "ActiveOutlineUseCustom" ) );
    }

    /**
      Set InactiveOutlineUseCustom
    */
    void setInactiveOutlineUseCustom( bool v )
    {
      if (!isInactiveOutlineUseCustomImmutable())
        mInactiveOutlineUseCustom = v;
    }

    /**
      Get InactiveOutlineUseCustom
    */
    bool inactiveOutlineUseCustom() const
    {
      return mInactiveOutlineUseCustom;
    }

    /**
      Is InactiveOutlineUseCustom Immutable
    */
    bool isInactiveOutlineUseCustomImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveOutlineUseCustom" ) );
    }

    /**
      Set ActiveShadowAlpha
    */
    void setActiveShadowAlpha( int v )
    {
      if (v < 0)
      {
        qDebug() << "setActiveShadowAlpha: value " << v << " is less than the minimum value of 0";
        v = 0;
      }

      if (v > 255)
      {
        qDebug() << "setActiveShadowAlpha: value " << v << " is greater than the maximum value of 255";
        v = 255;
      }

      if (!isActiveShadowAlphaImmutable())
        mActiveShadowAlpha = v;
    }

    /**
      Get ActiveShadowAlpha
    */
    int activeShadowAlpha() const
    {
      return mActiveShadowAlpha;
    }

    /**
      Is ActiveShadowAlpha Immutable
    */
    bool isActiveShadowAlphaImmutable() const
    {
      return isImmutable( QStringLiteral( "ActiveShadowAlpha" ) );
    }

    /**
      Set InactiveShadowAlpha
    */
    void setInactiveShadowAlpha( int v )
    {
      if (v < 0)
      {
        qDebug() << "setInactiveShadowAlpha: value " << v << " is less than the minimum value of 0";
        v = 0;
      }

      if (v > 255)
      {
        qDebug() << "setInactiveShadowAlpha: value " << v << " is greater than the maximum value of 255";
        v = 255;
      }

      if (!isInactiveShadowAlphaImmutable())
        mInactiveShadowAlpha = v;
    }

    /**
      Get InactiveShadowAlpha
    */
    int inactiveShadowAlpha() const
    {
      return mInactiveShadowAlpha;
    }

    /**
      Is InactiveShadowAlpha Immutable
    */
    bool isInactiveShadowAlphaImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveShadowAlpha" ) );
    }

    /**
      Set ActiveShadowPalette
    */
    void setActiveShadowPalette( uint v )
    {
      if (!isActiveShadowPaletteImmutable())
        mActiveShadowPalette = v;
    }

    /**
      Get ActiveShadowPalette
    */
    uint activeShadowPalette() const
    {
      return mActiveShadowPalette;
    }

    /**
      Is ActiveShadowPalette Immutable
    */
    bool isActiveShadowPaletteImmutable() const
    {
      return isImmutable( QStringLiteral( "ActiveShadowPalette" ) );
    }

    /**
      Set InactiveShadowPalette
    */
    void setInactiveShadowPalette( uint v )
    {
      if (!isInactiveShadowPaletteImmutable())
        mInactiveShadowPalette = v;
    }

    /**
      Get InactiveShadowPalette
    */
    uint inactiveShadowPalette() const
    {
      return mInactiveShadowPalette;
    }

    /**
      Is InactiveShadowPalette Immutable
    */
    bool isInactiveShadowPaletteImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveShadowPalette" ) );
    }

    /**
      Set ActiveShadowUsePalette
    */
    void setActiveShadowUsePalette( bool v )
    {
      if (!isActiveShadowUsePaletteImmutable())
        mActiveShadowUsePalette = v;
    }

    /**
      Get ActiveShadowUsePalette
    */
    bool activeShadowUsePalette() const
    {
      return mActiveShadowUsePalette;
    }

    /**
      Is ActiveShadowUsePalette Immutable
    */
    bool isActiveShadowUsePaletteImmutable() const
    {
      return isImmutable( QStringLiteral( "ActiveShadowUsePalette" ) );
    }

    /**
      Set InactiveShadowUsePalette
    */
    void setInactiveShadowUsePalette( bool v )
    {
      if (!isInactiveShadowUsePaletteImmutable())
        mInactiveShadowUsePalette = v;
    }

    /**
      Get InactiveShadowUsePalette
    */
    bool inactiveShadowUsePalette() const
    {
      return mInactiveShadowUsePalette;
    }

    /**
      Is InactiveShadowUsePalette Immutable
    */
    bool isInactiveShadowUsePaletteImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveShadowUsePalette" ) );
    }

    /**
      Set ActiveShadowUseCustom
    */
    void setActiveShadowUseCustom( bool v )
    {
      if (!isActiveShadowUseCustomImmutable())
        mActiveShadowUseCustom = v;
    }

    /**
      Get ActiveShadowUseCustom
    */
    bool activeShadowUseCustom() const
    {
      return mActiveShadowUseCustom;
    }

    /**
      Is ActiveShadowUseCustom Immutable
    */
    bool isActiveShadowUseCustomImmutable() const
    {
      return isImmutable( QStringLiteral( "ActiveShadowUseCustom" ) );
    }

    /**
      Set InactiveShadowUseCustom
    */
    void setInactiveShadowUseCustom( bool v )
    {
      if (!isInactiveShadowUseCustomImmutable())
        mInactiveShadowUseCustom = v;
    }

    /**
      Get InactiveShadowUseCustom
    */
    bool inactiveShadowUseCustom() const
    {
      return mInactiveShadowUseCustom;
    }

    /**
      Is InactiveShadowUseCustom Immutable
    */
    bool isInactiveShadowUseCustomImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveShadowUseCustom" ) );
    }

    /**
      Set SecondOutlineThickness
    */
    void setSecondOutlineThickness( double v )
    {
      if (v < 0)
      {
        qDebug() << "setSecondOutlineThickness: value " << v << " is less than the minimum value of 0";
        v = 0;
      }

      if (v > 20)
      {
        qDebug() << "setSecondOutlineThickness: value " << v << " is greater than the maximum value of 20";
        v = 20;
      }

      if (!isSecondOutlineThicknessImmutable())
        mSecondOutlineThickness = v;
    }

    /**
      Get SecondOutlineThickness
    */
    double secondOutlineThickness() const
    {
      return mSecondOutlineThickness;
    }

    /**
      Is SecondOutlineThickness Immutable
    */
    bool isSecondOutlineThicknessImmutable() const
    {
      return isImmutable( QStringLiteral( "SecondOutlineThickness" ) );
    }

    /**
      Set InactiveSecondOutlineThickness
    */
    void setInactiveSecondOutlineThickness( double v )
    {
      if (v < 0)
      {
        qDebug() << "setInactiveSecondOutlineThickness: value " << v << " is less than the minimum value of 0";
        v = 0;
      }

      if (v > 20)
      {
        qDebug() << "setInactiveSecondOutlineThickness: value " << v << " is greater than the maximum value of 20";
        v = 20;
      }

      if (!isInactiveSecondOutlineThicknessImmutable())
        mInactiveSecondOutlineThickness = v;
    }

    /**
      Get InactiveSecondOutlineThickness
    */
    double inactiveSecondOutlineThickness() const
    {
      return mInactiveSecondOutlineThickness;
    }

    /**
      Is InactiveSecondOutlineThickness Immutable
    */
    bool isInactiveSecondOutlineThicknessImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveSecondOutlineThickness" ) );
    }

    /**
      Set SecondOutlineColor
    */
    void setSecondOutlineColor( const QColor & v )
    {
      if (!isSecondOutlineColorImmutable())
        mSecondOutlineColor = v;
    }

    /**
      Get SecondOutlineColor
    */
    QColor secondOutlineColor() const
    {
      return mSecondOutlineColor;
    }

    /**
      Is SecondOutlineColor Immutable
    */
    bool isSecondOutlineColorImmutable() const
    {
      return isImmutable( QStringLiteral( "SecondOutlineColor" ) );
    }

    /**
      Set InactiveSecondOutlineColor
    */
    void setInactiveSecondOutlineColor( const QColor & v )
    {
      if (!isInactiveSecondOutlineColorImmutable())
        mInactiveSecondOutlineColor = v;
    }

    /**
      Get InactiveSecondOutlineColor
    */
    QColor inactiveSecondOutlineColor() const
    {
      return mInactiveSecondOutlineColor;
    }

    /**
      Is InactiveSecondOutlineColor Immutable
    */
    bool isInactiveSecondOutlineColorImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveSecondOutlineColor" ) );
    }

    /**
      Set ActiveSecondOutlineAlpha
    */
    void setActiveSecondOutlineAlpha( int v )
    {
      if (v < 0)
      {
        qDebug() << "setActiveSecondOutlineAlpha: value " << v << " is less than the minimum value of 0";
        v = 0;
      }

      if (v > 255)
      {
        qDebug() << "setActiveSecondOutlineAlpha: value " << v << " is greater than the maximum value of 255";
        v = 255;
      }

      if (!isActiveSecondOutlineAlphaImmutable())
        mActiveSecondOutlineAlpha = v;
    }

    /**
      Get ActiveSecondOutlineAlpha
    */
    int activeSecondOutlineAlpha() const
    {
      return mActiveSecondOutlineAlpha;
    }

    /**
      Is ActiveSecondOutlineAlpha Immutable
    */
    bool isActiveSecondOutlineAlphaImmutable() const
    {
      return isImmutable( QStringLiteral( "ActiveSecondOutlineAlpha" ) );
    }

    /**
      Set InactiveSecondOutlineAlpha
    */
    void setInactiveSecondOutlineAlpha( int v )
    {
      if (v < 0)
      {
        qDebug() << "setInactiveSecondOutlineAlpha: value " << v << " is less than the minimum value of 0";
        v = 0;
      }

      if (v > 255)
      {
        qDebug() << "setInactiveSecondOutlineAlpha: value " << v << " is greater than the maximum value of 255";
        v = 255;
      }

      if (!isInactiveSecondOutlineAlphaImmutable())
        mInactiveSecondOutlineAlpha = v;
    }

    /**
      Get InactiveSecondOutlineAlpha
    */
    int inactiveSecondOutlineAlpha() const
    {
      return mInactiveSecondOutlineAlpha;
    }

    /**
      Is InactiveSecondOutlineAlpha Immutable
    */
    bool isInactiveSecondOutlineAlphaImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveSecondOutlineAlpha" ) );
    }

    /**
      Set ActiveSecondOutlinePalette
    */
    void setActiveSecondOutlinePalette( uint v )
    {
      if (!isActiveSecondOutlinePaletteImmutable())
        mActiveSecondOutlinePalette = v;
    }

    /**
      Get ActiveSecondOutlinePalette
    */
    uint activeSecondOutlinePalette() const
    {
      return mActiveSecondOutlinePalette;
    }

    /**
      Is ActiveSecondOutlinePalette Immutable
    */
    bool isActiveSecondOutlinePaletteImmutable() const
    {
      return isImmutable( QStringLiteral( "ActiveSecondOutlinePalette" ) );
    }

    /**
      Set InactiveSecondOutlinePalette
    */
    void setInactiveSecondOutlinePalette( uint v )
    {
      if (!isInactiveSecondOutlinePaletteImmutable())
        mInactiveSecondOutlinePalette = v;
    }

    /**
      Get InactiveSecondOutlinePalette
    */
    uint inactiveSecondOutlinePalette() const
    {
      return mInactiveSecondOutlinePalette;
    }

    /**
      Is InactiveSecondOutlinePalette Immutable
    */
    bool isInactiveSecondOutlinePaletteImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveSecondOutlinePalette" ) );
    }

    /**
      Set ActiveSecondOutlineUsePalette
    */
    void setActiveSecondOutlineUsePalette( bool v )
    {
      if (!isActiveSecondOutlineUsePaletteImmutable())
        mActiveSecondOutlineUsePalette = v;
    }

    /**
      Get ActiveSecondOutlineUsePalette
    */
    bool activeSecondOutlineUsePalette() const
    {
      return mActiveSecondOutlineUsePalette;
    }

    /**
      Is ActiveSecondOutlineUsePalette Immutable
    */
    bool isActiveSecondOutlineUsePaletteImmutable() const
    {
      return isImmutable( QStringLiteral( "ActiveSecondOutlineUsePalette" ) );
    }

    /**
      Set InactiveSecondOutlineUsePalette
    */
    void setInactiveSecondOutlineUsePalette( bool v )
    {
      if (!isInactiveSecondOutlineUsePaletteImmutable())
        mInactiveSecondOutlineUsePalette = v;
    }

    /**
      Get InactiveSecondOutlineUsePalette
    */
    bool inactiveSecondOutlineUsePalette() const
    {
      return mInactiveSecondOutlineUsePalette;
    }

    /**
      Is InactiveSecondOutlineUsePalette Immutable
    */
    bool isInactiveSecondOutlineUsePaletteImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveSecondOutlineUsePalette" ) );
    }

    /**
      Set ActiveSecondOutlineUseCustom
    */
    void setActiveSecondOutlineUseCustom( bool v )
    {
      if (!isActiveSecondOutlineUseCustomImmutable())
        mActiveSecondOutlineUseCustom = v;
    }

    /**
      Get ActiveSecondOutlineUseCustom
    */
    bool activeSecondOutlineUseCustom() const
    {
      return mActiveSecondOutlineUseCustom;
    }

    /**
      Is ActiveSecondOutlineUseCustom Immutable
    */
    bool isActiveSecondOutlineUseCustomImmutable() const
    {
      return isImmutable( QStringLiteral( "ActiveSecondOutlineUseCustom" ) );
    }

    /**
      Set InactiveSecondOutlineUseCustom
    */
    void setInactiveSecondOutlineUseCustom( bool v )
    {
      if (!isInactiveSecondOutlineUseCustomImmutable())
        mInactiveSecondOutlineUseCustom = v;
    }

    /**
      Get InactiveSecondOutlineUseCustom
    */
    bool inactiveSecondOutlineUseCustom() const
    {
      return mInactiveSecondOutlineUseCustom;
    }

    /**
      Is InactiveSecondOutlineUseCustom Immutable
    */
    bool isInactiveSecondOutlineUseCustomImmutable() const
    {
      return isImmutable( QStringLiteral( "InactiveSecondOutlineUseCustom" ) );
    }

    /**
      Set Inclusions
    */
    void setInclusions( const QStringList & v )
    {
      if (!isInclusionsImmutable())
        mInclusions = v;
    }

    /**
      Get Inclusions
    */
    QStringList inclusions() const
    {
      return mInclusions;
    }

    /**
      Is Inclusions Immutable
    */
    bool isInclusionsImmutable() const
    {
      return isImmutable( QStringLiteral( "Inclusions" ) );
    }

    /**
      Set Exclusions
    */
    void setExclusions( const QStringList & v )
    {
      if (!isExclusionsImmutable())
        mExclusions = v;
    }

    /**
      Get Exclusions
    */
    QStringList exclusions() const
    {
      return mExclusions;
    }

    /**
      Is Exclusions Immutable
    */
    bool isExclusionsImmutable() const
    {
      return isImmutable( QStringLiteral( "Exclusions" ) );
    }

    /**
      Set IncludeNormalWindows
    */
    void setIncludeNormalWindows( bool v )
    {
      if (!isIncludeNormalWindowsImmutable())
        mIncludeNormalWindows = v;
    }

    /**
      Get IncludeNormalWindows
    */
    bool includeNormalWindows() const
    {
      return mIncludeNormalWindows;
    }

    /**
      Is IncludeNormalWindows Immutable
    */
    bool isIncludeNormalWindowsImmutable() const
    {
      return isImmutable( QStringLiteral( "IncludeNormalWindows" ) );
    }

    /**
      Set IncludeDialogs
    */
    void setIncludeDialogs( bool v )
    {
      if (!isIncludeDialogsImmutable())
        mIncludeDialogs = v;
    }

    /**
      Get IncludeDialogs
    */
    bool includeDialogs() const
    {
      return mIncludeDialogs;
    }

    /**
      Is IncludeDialogs Immutable
    */
    bool isIncludeDialogsImmutable() const
    {
      return isImmutable( QStringLiteral( "IncludeDialogs" ) );
    }

    /**
      Set DisableRoundTile
    */
    void setDisableRoundTile( bool v )
    {
      if (!isDisableRoundTileImmutable())
        mDisableRoundTile = v;
    }

    /**
      Get DisableRoundTile
    */
    bool disableRoundTile() const
    {
      return mDisableRoundTile;
    }

    /**
      Is DisableRoundTile Immutable
    */
    bool isDisableRoundTileImmutable() const
    {
      return isImmutable( QStringLiteral( "DisableRoundTile" ) );
    }

    /**
      Set DisableOutlineTile
    */
    void setDisableOutlineTile( bool v )
    {
      if (!isDisableOutlineTileImmutable())
        mDisableOutlineTile = v;
    }

    /**
      Get DisableOutlineTile
    */
    bool disableOutlineTile() const
    {
      return mDisableOutlineTile;
    }

    /**
      Is DisableOutlineTile Immutable
    */
    bool isDisableOutlineTileImmutable() const
    {
      return isImmutable( QStringLiteral( "DisableOutlineTile" ) );
    }

    /**
      Set DisableRoundMaximize
    */
    void setDisableRoundMaximize( bool v )
    {
      if (!isDisableRoundMaximizeImmutable())
        mDisableRoundMaximize = v;
    }

    /**
      Get DisableRoundMaximize
    */
    bool disableRoundMaximize() const
    {
      return mDisableRoundMaximize;
    }

    /**
      Is DisableRoundMaximize Immutable
    */
    bool isDisableRoundMaximizeImmutable() const
    {
      return isImmutable( QStringLiteral( "DisableRoundMaximize" ) );
    }

    /**
      Set DisableOutlineMaximize
    */
    void setDisableOutlineMaximize( bool v )
    {
      if (!isDisableOutlineMaximizeImmutable())
        mDisableOutlineMaximize = v;
    }

    /**
      Get DisableOutlineMaximize
    */
    bool disableOutlineMaximize() const
    {
      return mDisableOutlineMaximize;
    }

    /**
      Is DisableOutlineMaximize Immutable
    */
    bool isDisableOutlineMaximizeImmutable() const
    {
      return isImmutable( QStringLiteral( "DisableOutlineMaximize" ) );
    }

  protected:

    // Round-Corners
    uint mSize;
    uint mInactiveCornerRadius;
    uint mShadowSize;
    uint mInactiveShadowSize;
    QColor mShadowColor;
    QColor mInactiveShadowColor;
    bool mAnimationEnabled;

    // PrimaryOutline
    double mOutlineThickness;
    double mInactiveOutlineThickness;
    QColor mOutlineColor;
    QColor mInactiveOutlineColor;
    int mActiveOutlineAlpha;
    int mInactiveOutlineAlpha;
    uint mActiveOutlinePalette;
    uint mInactiveOutlinePalette;
    bool mActiveOutlineUsePalette;
    bool mInactiveOutlineUsePalette;
    bool mActiveOutlineUseCustom;
    bool mInactiveOutlineUseCustom;

    // Shadow
    int mActiveShadowAlpha;
    int mInactiveShadowAlpha;
    uint mActiveShadowPalette;
    uint mInactiveShadowPalette;
    bool mActiveShadowUsePalette;
    bool mInactiveShadowUsePalette;
    bool mActiveShadowUseCustom;
    bool mInactiveShadowUseCustom;

    // SecondOutline
    double mSecondOutlineThickness;
    double mInactiveSecondOutlineThickness;
    QColor mSecondOutlineColor;
    QColor mInactiveSecondOutlineColor;
    int mActiveSecondOutlineAlpha;
    int mInactiveSecondOutlineAlpha;
    uint mActiveSecondOutlinePalette;
    uint mInactiveSecondOutlinePalette;
    bool mActiveSecondOutlineUsePalette;
    bool mInactiveSecondOutlineUsePalette;
    bool mActiveSecondOutlineUseCustom;
    bool mInactiveSecondOutlineUseCustom;

    // IncludeExclude
    QStringList mInclusions;
    QStringList mExclusions;
    bool mIncludeNormalWindows;
    bool mIncludeDialogs;

    // MaximizeTile
    bool mDisableRoundTile;
    bool mDisableOutlineTile;
    bool mDisableRoundMaximize;
    bool mDisableOutlineMaximize;

  private:
};

}

#endif

